For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
      • POSTCreate a pricingGroup
      • GETGet a pricing group by resource ID
      • DELDelete a pricing group by resource ID
      • PATCHUpdate a pricing
  • Identity API
  • Transaction API
  • Event API
LoginSandbox
Configuration APIPricing Groups

Create a pricingGroup

POST
/v:version/pricing-groups
POST
/v:version/pricing-groups
$curl -X POST https://test.api.solvimon.com/v1/pricing-groups \
> -H "X-API-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "pricing_plan_version_id": "ppve_BwDe9k0tsJaGToBleP1E",
> "name": "Default Pricing Group",
> "product_type": "DEFAULT",
> "selection_constraint": "AT_LEAST_ONE",
> "pricings": [
> {
> "product_ids": [
> "string"
> ],
> "name": "Default Pricing"
> }
> ]
>}'
1{
2 "object_type": "string",
3 "id": "string",
4 "pricing_plan_version_id": "string",
5 "name": "string",
6 "product_type": "DEFAULT",
7 "selection_constraint": "ANY",
8 "display_order": 1,
9 "pricings": [
10 {
11 "object_type": "string",
12 "id": "string",
13 "pricing_plan_version_id": "string",
14 "pricing_plan_schedule_id": "string",
15 "pricing_group_id": "string",
16 "original_pricing_id": "string",
17 "original_pricing": {},
18 "override": "ALL",
19 "name": "string",
20 "product_type": "DEFAULT",
21 "product_ids": [
22 "string"
23 ],
24 "display_order": 1,
25 "products": [
26 {
27 "object_type": "string",
28 "id": "string",
29 "category_id": "string",
30 "category": {
31 "object_type": "string",
32 "id": "string",
33 "name": "string",
34 "reference": "string",
35 "description": "string",
36 "tax_category": "STANDARD",
37 "display_order": 1,
38 "customer_id": "string"
39 },
40 "parent_product_id": "string",
41 "name": "string",
42 "reference": "string",
43 "description": "string",
44 "status": "DRAFT",
45 "product_type": "DEFAULT",
46 "tax_category": "STANDARD",
47 "features": [
48 {
49 "id": "string",
50 "reference": "string"
51 }
52 ],
53 "custom_fields": [
54 {
55 "id": "string",
56 "reference": "string",
57 "value": "string",
58 "values": [
59 "string"
60 ],
61 "integration_details": {
62 "id": "string",
63 "reference": "string",
64 "payment_gateway_variant": "ADYEN",
65 "adyen": {
66 "recurring_detail_reference": "string"
67 },
68 "stripe": {
69 "payment_method_id": "string"
70 }
71 }
72 }
73 ],
74 "display_order": 1,
75 "linked_integrations": [
76 {
77 "id": "string",
78 "link_details": [
79 {
80 "url": "string",
81 "custom_field_name": "string"
82 }
83 ]
84 }
85 ],
86 "billing_entity_id": "string",
87 "customer_id": "string"
88 }
89 ],
90 "entitlements": [
91 {
92 "feature_id": "string",
93 "feature": {
94 "object_type": "string",
95 "id": "string",
96 "reference": "string",
97 "name": "string",
98 "description": "string",
99 "type": "SWITCH",
100 "enum_values": [
101 "string"
102 ],
103 "meter_value_calculation_id": "string",
104 "meter_value_calculation": {
105 "object_type": "string",
106 "id": "string",
107 "reference": "string",
108 "name": "string",
109 "description": "string",
110 "calculation_type": "SUM",
111 "persist": true,
112 "meter_id": "string",
113 "meter": {
114 "object_type": "string",
115 "id": "string",
116 "reference": "string",
117 "name": "string",
118 "description": "string",
119 "status": "DRAFT",
120 "meter_values": [
121 {
122 "id": "string",
123 "object": {
124 "object_type": "string",
125 "id": "string",
126 "reference": "string",
127 "name": "string",
128 "description": "string",
129 "status": "DRAFT",
130 "type": "NUMBER"
131 },
132 "required": true
133 }
134 ],
135 "meter_properties": [
136 {
137 "id": "string",
138 "object": {
139 "object_type": "string",
140 "id": "string",
141 "reference": "string",
142 "name": "string",
143 "description": "string",
144 "status": "DRAFT",
145 "type": "NUMBER",
146 "enum_values": [
147 "string"
148 ]
149 },
150 "required": true
151 }
152 ]
153 },
154 "meter_value_id": "string",
155 "meter_value": {
156 "object_type": "string",
157 "id": "string",
158 "reference": "string",
159 "name": "string",
160 "description": "string",
161 "status": "DRAFT",
162 "type": "NUMBER"
163 },
164 "meter_property_id": "string",
165 "meter_property": {
166 "object_type": "string",
167 "id": "string",
168 "reference": "string",
169 "name": "string",
170 "description": "string",
171 "status": "DRAFT",
172 "type": "NUMBER",
173 "enum_values": [
174 "string"
175 ]
176 }
177 }
178 },
179 "feature_reference": "string",
180 "override": true,
181 "number": "string",
182 "switch": true,
183 "amount": {
184 "quantity": "string",
185 "currency": "AED"
186 },
187 "enum": "string",
188 "string": "string",
189 "overwrite": true
190 }
191 ],
192 "items": [
193 {
194 "object_type": "string",
195 "id": "string",
196 "original_pricing_item_id": "string",
197 "original_pricing_item": {},
198 "override": "ALL",
199 "product_item_ids": [
200 "string"
201 ],
202 "product_items": [
203 {
204 "object_type": "string",
205 "id": "string",
206 "product_id": "string",
207 "product": {
208 "object_type": "string",
209 "id": "string",
210 "category_id": "string",
211 "category": {
212 "object_type": "string",
213 "id": "string",
214 "name": "string",
215 "reference": "string",
216 "description": "string",
217 "tax_category": "STANDARD",
218 "display_order": 1,
219 "customer_id": "string"
220 },
221 "parent_product_id": "string",
222 "name": "string",
223 "reference": "string",
224 "description": "string",
225 "status": "DRAFT",
226 "product_type": "DEFAULT",
227 "tax_category": "STANDARD",
228 "features": [
229 {
230 "id": "string",
231 "reference": "string"
232 }
233 ],
234 "custom_fields": [
235 {
236 "id": "string",
237 "reference": "string",
238 "value": "string",
239 "values": [
240 "string"
241 ],
242 "integration_details": {
243 "id": "string",
244 "reference": "string",
245 "payment_gateway_variant": "ADYEN",
246 "adyen": {
247 "recurring_detail_reference": "string"
248 },
249 "stripe": {
250 "payment_method_id": "string"
251 }
252 }
253 }
254 ],
255 "display_order": 1,
256 "linked_integrations": [
257 {
258 "id": "string",
259 "link_details": [
260 {
261 "url": "string",
262 "custom_field_name": "string"
263 }
264 ]
265 }
266 ],
267 "billing_entity_id": "string",
268 "customer_id": "string"
269 },
270 "name": "string",
271 "status": "DRAFT",
272 "reference": "string",
273 "description": "string",
274 "type": "REVENUE",
275 "model_type": "USAGE_BASED",
276 "usage_based": {
277 "meter_value_calculation_id": "string",
278 "meter_value_calculation": {
279 "object_type": "string",
280 "id": "string",
281 "reference": "string",
282 "name": "string",
283 "description": "string",
284 "calculation_type": "SUM",
285 "persist": true,
286 "meter_id": "string",
287 "meter": {
288 "object_type": "string",
289 "id": "string",
290 "reference": "string",
291 "name": "string",
292 "description": "string",
293 "status": "DRAFT",
294 "meter_values": [
295 {
296 "id": "string",
297 "object": {
298 "object_type": "string",
299 "id": "string",
300 "reference": "string",
301 "name": "string",
302 "description": "string",
303 "status": "DRAFT",
304 "type": "NUMBER"
305 },
306 "required": true
307 }
308 ],
309 "meter_properties": [
310 {
311 "id": "string",
312 "object": {
313 "object_type": "string",
314 "id": "string",
315 "reference": "string",
316 "name": "string",
317 "description": "string",
318 "status": "DRAFT",
319 "type": "NUMBER",
320 "enum_values": [
321 "string"
322 ]
323 },
324 "required": true
325 }
326 ]
327 },
328 "meter_value_id": "string",
329 "meter_value": {
330 "object_type": "string",
331 "id": "string",
332 "reference": "string",
333 "name": "string",
334 "description": "string",
335 "status": "DRAFT",
336 "type": "NUMBER"
337 },
338 "meter_property_id": "string",
339 "meter_property": {
340 "object_type": "string",
341 "id": "string",
342 "reference": "string",
343 "name": "string",
344 "description": "string",
345 "status": "DRAFT",
346 "type": "NUMBER",
347 "enum_values": [
348 "string"
349 ]
350 }
351 },
352 "tiering_meter_value_calculation_id": "string",
353 "tiering_meter_value_calculation": {
354 "object_type": "string",
355 "id": "string",
356 "reference": "string",
357 "name": "string",
358 "description": "string",
359 "calculation_type": "SUM",
360 "persist": true,
361 "meter_id": "string",
362 "meter": {
363 "object_type": "string",
364 "id": "string",
365 "reference": "string",
366 "name": "string",
367 "description": "string",
368 "status": "DRAFT",
369 "meter_values": [
370 {
371 "id": "string",
372 "object": {
373 "object_type": "string",
374 "id": "string",
375 "reference": "string",
376 "name": "string",
377 "description": "string",
378 "status": "DRAFT",
379 "type": "NUMBER"
380 },
381 "required": true
382 }
383 ],
384 "meter_properties": [
385 {
386 "id": "string",
387 "object": {
388 "object_type": "string",
389 "id": "string",
390 "reference": "string",
391 "name": "string",
392 "description": "string",
393 "status": "DRAFT",
394 "type": "NUMBER",
395 "enum_values": [
396 "string"
397 ]
398 },
399 "required": true
400 }
401 ]
402 },
403 "meter_value_id": "string",
404 "meter_value": {
405 "object_type": "string",
406 "id": "string",
407 "reference": "string",
408 "name": "string",
409 "description": "string",
410 "status": "DRAFT",
411 "type": "NUMBER"
412 },
413 "meter_property_id": "string",
414 "meter_property": {
415 "object_type": "string",
416 "id": "string",
417 "reference": "string",
418 "name": "string",
419 "description": "string",
420 "status": "DRAFT",
421 "type": "NUMBER",
422 "enum_values": [
423 "string"
424 ]
425 }
426 },
427 "report_meter_value_calculation_ids": [
428 "string"
429 ],
430 "conditions": {
431 "name": "string",
432 "expression": {
433 "operator": "AND",
434 "operands": [
435 {
436 "meter_property": {
437 "id": "string",
438 "reference": "string",
439 "meter_property": {
440 "object_type": "string",
441 "id": "string",
442 "reference": "string",
443 "name": "string",
444 "description": "string",
445 "status": "DRAFT",
446 "type": "NUMBER",
447 "enum_values": [
448 "string"
449 ]
450 },
451 "value": "string",
452 "values": [
453 "string"
454 ],
455 "comparator": "EQUALS"
456 },
457 "expression": {}
458 }
459 ]
460 },
461 "meter_properties": [
462 {
463 "id": "string",
464 "reference": "string",
465 "meter_property": {
466 "object_type": "string",
467 "id": "string",
468 "reference": "string",
469 "name": "string",
470 "description": "string",
471 "status": "DRAFT",
472 "type": "NUMBER",
473 "enum_values": [
474 "string"
475 ]
476 },
477 "value": "string",
478 "values": [
479 "string"
480 ],
481 "comparator": "EQUALS"
482 }
483 ]
484 }
485 },
486 "credits": {
487 "credit_type_id": "string",
488 "credit_type": {
489 "object_type": "string",
490 "id": "string",
491 "reference": "string",
492 "status": "DRAFT",
493 "name": "string",
494 "description": "string",
495 "unit_name": {
496 "singular": "string",
497 "plural": "string"
498 },
499 "created_at": "string",
500 "updated_at": "string"
501 }
502 },
503 "meter_value_calculation": {
504 "object_type": "string",
505 "id": "string",
506 "reference": "string",
507 "name": "string",
508 "description": "string",
509 "calculation_type": "SUM",
510 "persist": true,
511 "meter_id": "string",
512 "meter": {
513 "object_type": "string",
514 "id": "string",
515 "reference": "string",
516 "name": "string",
517 "description": "string",
518 "status": "DRAFT",
519 "meter_values": [
520 {
521 "id": "string",
522 "object": {
523 "object_type": "string",
524 "id": "string",
525 "reference": "string",
526 "name": "string",
527 "description": "string",
528 "status": "DRAFT",
529 "type": "NUMBER"
530 },
531 "required": true
532 }
533 ],
534 "meter_properties": [
535 {
536 "id": "string",
537 "object": {
538 "object_type": "string",
539 "id": "string",
540 "reference": "string",
541 "name": "string",
542 "description": "string",
543 "status": "DRAFT",
544 "type": "NUMBER",
545 "enum_values": [
546 "string"
547 ]
548 },
549 "required": true
550 }
551 ]
552 },
553 "meter_value_id": "string",
554 "meter_value": {
555 "object_type": "string",
556 "id": "string",
557 "reference": "string",
558 "name": "string",
559 "description": "string",
560 "status": "DRAFT",
561 "type": "NUMBER"
562 },
563 "meter_property_id": "string",
564 "meter_property": {
565 "object_type": "string",
566 "id": "string",
567 "reference": "string",
568 "name": "string",
569 "description": "string",
570 "status": "DRAFT",
571 "type": "NUMBER",
572 "enum_values": [
573 "string"
574 ]
575 }
576 },
577 "tax_category": "STANDARD",
578 "display_order": 1,
579 "unit_name": {
580 "singular": "string",
581 "plural": "string"
582 },
583 "custom_fields": [
584 {
585 "id": "string",
586 "reference": "string",
587 "value": "string",
588 "values": [
589 "string"
590 ],
591 "integration_details": {
592 "id": "string",
593 "reference": "string",
594 "payment_gateway_variant": "ADYEN",
595 "adyen": {
596 "recurring_detail_reference": "string"
597 },
598 "stripe": {
599 "payment_method_id": "string"
600 }
601 }
602 }
603 ],
604 "customer_id": "string",
605 "meter_value_calculation_id": "string",
606 "report_meter_value_calculation_ids": [
607 "string"
608 ]
609 }
610 ],
611 "configs": [
612 {
613 "object_type": "string",
614 "id": "string",
615 "original_pricing_item_config_id": "string",
616 "original_pricing_item_config": {},
617 "details": {
618 "billing_period": {
619 "type": "DAY",
620 "value": 1
621 },
622 "pricing_type": "FLAT",
623 "pricing_period": {
624 "type": "DAY",
625 "value": 1
626 },
627 "bands": [
628 {
629 "amount": {
630 "quantity": "string",
631 "currency": "AED"
632 },
633 "percentage": "string",
634 "credits": {
635 "quantity": "string",
636 "credit_type_id": "string"
637 },
638 "fixed_amount": {
639 "quantity": "string",
640 "currency": "AED"
641 },
642 "maximum_amount": {
643 "quantity": "string",
644 "currency": "AED"
645 },
646 "minimum_amount": {
647 "quantity": "string",
648 "currency": "AED"
649 },
650 "maximum_number": "string",
651 "minimum_number": "string",
652 "block_size": {
653 "number": "string",
654 "amount": {
655 "quantity": "string",
656 "currency": "AED"
657 },
658 "count": "string"
659 },
660 "tier_top_bound": {
661 "number": "string",
662 "amount": {
663 "quantity": "string",
664 "currency": "AED"
665 },
666 "count": "string"
667 }
668 }
669 ]
670 },
671 "billing_period": {
672 "type": "DAY",
673 "value": 1
674 },
675 "pricing_period": {
676 "type": "DAY",
677 "value": 1
678 },
679 "default_included_volume": {
680 "number": "string",
681 "amount": {
682 "quantity": "string",
683 "currency": "AED"
684 },
685 "count": "string",
686 "reset_type": "string"
687 },
688 "default_seats_value": {
689 "number": "string",
690 "amount": {
691 "quantity": "string",
692 "currency": "AED"
693 },
694 "count": "string"
695 },
696 "conditions": {
697 "name": "string",
698 "meter_properties": [
699 {
700 "id": "string",
701 "reference": "string",
702 "meter_property": {
703 "object_type": "string",
704 "id": "string",
705 "reference": "string",
706 "name": "string",
707 "description": "string",
708 "status": "DRAFT",
709 "type": "NUMBER",
710 "enum_values": [
711 "string"
712 ]
713 },
714 "value": "string",
715 "values": [
716 "string"
717 ],
718 "comparator": "EQUALS"
719 }
720 ],
721 "configs": [
722 {}
723 ]
724 },
725 "order": 1,
726 "billing_in_advance": true,
727 "volume_group_reference": "string",
728 "top_up": {
729 "rollover": true
730 },
731 "split_pricing": {
732 "meter_properties": [
733 {
734 "id": "string",
735 "reference": "string",
736 "value": "string",
737 "meter_property": {
738 "object_type": "string",
739 "id": "string",
740 "reference": "string",
741 "name": "string",
742 "description": "string",
743 "status": "DRAFT",
744 "type": "NUMBER",
745 "enum_values": [
746 "string"
747 ]
748 }
749 }
750 ]
751 },
752 "on_demand": true,
753 "wallet_grants": [
754 {
755 "wallet_type_id": "string",
756 "wallet_type": {
757 "object_type": "string",
758 "id": "string",
759 "name": "string",
760 "reference": "string",
761 "status": "DRAFT",
762 "type": "CREDIT",
763 "credit": {
764 "grant_type": "CREDITS",
765 "amount_grant": {
766 "default_currency": "AED",
767 "tax_category": "STANDARD"
768 },
769 "credits_grant": {
770 "credit_type_id": "string"
771 }
772 },
773 "balance": {
774 "default_currency": "string"
775 },
776 "created_at": "string",
777 "updated_at": "string"
778 },
779 "amount_grant": {
780 "amount": {
781 "quantity": "string",
782 "currency": "AED"
783 },
784 "percentage": "string"
785 },
786 "credits_grant": {
787 "credits": {
788 "quantity": "string",
789 "credit_type_id": "string"
790 },
791 "conversion": "string"
792 },
793 "expiry_policy": {
794 "expiry_period": {
795 "type": "DAY",
796 "value": 1
797 }
798 }
799 }
800 ],
801 "type": "FLAT",
802 "pricing_type": "FLAT",
803 "bands": [
804 {
805 "amount": {
806 "quantity": "string",
807 "currency": "AED"
808 },
809 "percentage": "string",
810 "credits": {
811 "quantity": "string",
812 "credit_type_id": "string"
813 },
814 "fixed_amount": {
815 "quantity": "string",
816 "currency": "AED"
817 },
818 "maximum_amount": {
819 "quantity": "string",
820 "currency": "AED"
821 },
822 "minimum_amount": {
823 "quantity": "string",
824 "currency": "AED"
825 },
826 "maximum_number": "string",
827 "minimum_number": "string",
828 "block_size": {
829 "number": "string",
830 "amount": {
831 "quantity": "string",
832 "currency": "AED"
833 },
834 "count": "string"
835 },
836 "tier_top_bound": {
837 "number": "string",
838 "amount": {
839 "quantity": "string",
840 "currency": "AED"
841 },
842 "count": "string"
843 }
844 }
845 ]
846 }
847 ],
848 "pricing_currency_configs": [
849 {
850 "currency": "AED",
851 "configs": [
852 {
853 "object_type": "string",
854 "id": "string",
855 "original_pricing_item_config_id": "string",
856 "original_pricing_item_config": {},
857 "details": {
858 "billing_period": {
859 "type": "DAY",
860 "value": 1
861 },
862 "pricing_type": "FLAT",
863 "pricing_period": {
864 "type": "DAY",
865 "value": 1
866 },
867 "bands": [
868 {
869 "amount": {
870 "quantity": "string",
871 "currency": "AED"
872 },
873 "percentage": "string",
874 "credits": {
875 "quantity": "string",
876 "credit_type_id": "string"
877 },
878 "fixed_amount": {
879 "quantity": "string",
880 "currency": "AED"
881 },
882 "maximum_amount": {
883 "quantity": "string",
884 "currency": "AED"
885 },
886 "minimum_amount": {
887 "quantity": "string",
888 "currency": "AED"
889 },
890 "maximum_number": "string",
891 "minimum_number": "string",
892 "block_size": {
893 "number": "string",
894 "amount": {
895 "quantity": "string",
896 "currency": "AED"
897 },
898 "count": "string"
899 },
900 "tier_top_bound": {
901 "number": "string",
902 "amount": {
903 "quantity": "string",
904 "currency": "AED"
905 },
906 "count": "string"
907 }
908 }
909 ]
910 },
911 "billing_period": {
912 "type": "DAY",
913 "value": 1
914 },
915 "pricing_period": {
916 "type": "DAY",
917 "value": 1
918 },
919 "default_included_volume": {
920 "number": "string",
921 "amount": {
922 "quantity": "string",
923 "currency": "AED"
924 },
925 "count": "string",
926 "reset_type": "string"
927 },
928 "default_seats_value": {
929 "number": "string",
930 "amount": {
931 "quantity": "string",
932 "currency": "AED"
933 },
934 "count": "string"
935 },
936 "conditions": {
937 "name": "string",
938 "meter_properties": [
939 {
940 "id": "string",
941 "reference": "string",
942 "meter_property": {
943 "object_type": "string",
944 "id": "string",
945 "reference": "string",
946 "name": "string",
947 "description": "string",
948 "status": "DRAFT",
949 "type": "NUMBER",
950 "enum_values": [
951 "string"
952 ]
953 },
954 "value": "string",
955 "values": [
956 "string"
957 ],
958 "comparator": "EQUALS"
959 }
960 ],
961 "configs": [
962 {}
963 ]
964 },
965 "order": 1,
966 "billing_in_advance": true,
967 "volume_group_reference": "string",
968 "top_up": {
969 "rollover": true
970 },
971 "split_pricing": {
972 "meter_properties": [
973 {
974 "id": "string",
975 "reference": "string",
976 "value": "string",
977 "meter_property": {
978 "object_type": "string",
979 "id": "string",
980 "reference": "string",
981 "name": "string",
982 "description": "string",
983 "status": "DRAFT",
984 "type": "NUMBER",
985 "enum_values": [
986 "string"
987 ]
988 }
989 }
990 ]
991 },
992 "on_demand": true,
993 "wallet_grants": [
994 {
995 "wallet_type_id": "string",
996 "wallet_type": {
997 "object_type": "string",
998 "id": "string",
999 "name": "string",
1000 "reference": "string",
1001 "status": "DRAFT",
1002 "type": "CREDIT",
1003 "credit": {
1004 "grant_type": "CREDITS",
1005 "amount_grant": {
1006 "default_currency": "AED",
1007 "tax_category": "STANDARD"
1008 },
1009 "credits_grant": {
1010 "credit_type_id": "string"
1011 }
1012 },
1013 "balance": {
1014 "default_currency": "string"
1015 },
1016 "created_at": "string",
1017 "updated_at": "string"
1018 },
1019 "amount_grant": {
1020 "amount": {
1021 "quantity": "string",
1022 "currency": "AED"
1023 },
1024 "percentage": "string"
1025 },
1026 "credits_grant": {
1027 "credits": {
1028 "quantity": "string",
1029 "credit_type_id": "string"
1030 },
1031 "conversion": "string"
1032 },
1033 "expiry_policy": {
1034 "expiry_period": {
1035 "type": "DAY",
1036 "value": 1
1037 }
1038 }
1039 }
1040 ],
1041 "type": "FLAT",
1042 "pricing_type": "FLAT",
1043 "bands": [
1044 {
1045 "amount": {
1046 "quantity": "string",
1047 "currency": "AED"
1048 },
1049 "percentage": "string",
1050 "credits": {
1051 "quantity": "string",
1052 "credit_type_id": "string"
1053 },
1054 "fixed_amount": {
1055 "quantity": "string",
1056 "currency": "AED"
1057 },
1058 "maximum_amount": {
1059 "quantity": "string",
1060 "currency": "AED"
1061 },
1062 "minimum_amount": {
1063 "quantity": "string",
1064 "currency": "AED"
1065 },
1066 "maximum_number": "string",
1067 "minimum_number": "string",
1068 "block_size": {
1069 "number": "string",
1070 "amount": {
1071 "quantity": "string",
1072 "currency": "AED"
1073 },
1074 "count": "string"
1075 },
1076 "tier_top_bound": {
1077 "number": "string",
1078 "amount": {
1079 "quantity": "string",
1080 "currency": "AED"
1081 },
1082 "count": "string"
1083 }
1084 }
1085 ]
1086 }
1087 ],
1088 "billing_period_configs": [
1089 {
1090 "billing_period": {
1091 "type": "DAY",
1092 "value": 1
1093 },
1094 "configs": [
1095 {
1096 "object_type": "string",
1097 "id": "string",
1098 "original_pricing_item_config_id": "string",
1099 "original_pricing_item_config": {},
1100 "details": {
1101 "billing_period": {
1102 "type": "DAY",
1103 "value": 1
1104 },
1105 "pricing_type": "FLAT",
1106 "pricing_period": {
1107 "type": "DAY",
1108 "value": 1
1109 },
1110 "bands": [
1111 {
1112 "amount": {
1113 "quantity": "string",
1114 "currency": "AED"
1115 },
1116 "percentage": "string",
1117 "credits": {
1118 "quantity": "string",
1119 "credit_type_id": "string"
1120 },
1121 "fixed_amount": {
1122 "quantity": "string",
1123 "currency": "AED"
1124 },
1125 "maximum_amount": {
1126 "quantity": "string",
1127 "currency": "AED"
1128 },
1129 "minimum_amount": {
1130 "quantity": "string",
1131 "currency": "AED"
1132 },
1133 "maximum_number": "string",
1134 "minimum_number": "string",
1135 "block_size": {
1136 "number": "string",
1137 "amount": {
1138 "quantity": "string",
1139 "currency": "AED"
1140 },
1141 "count": "string"
1142 },
1143 "tier_top_bound": {
1144 "number": "string",
1145 "amount": {
1146 "quantity": "string",
1147 "currency": "AED"
1148 },
1149 "count": "string"
1150 }
1151 }
1152 ]
1153 },
1154 "billing_period": {
1155 "type": "DAY",
1156 "value": 1
1157 },
1158 "pricing_period": {
1159 "type": "DAY",
1160 "value": 1
1161 },
1162 "default_included_volume": {
1163 "number": "string",
1164 "amount": {
1165 "quantity": "string",
1166 "currency": "AED"
1167 },
1168 "count": "string",
1169 "reset_type": "string"
1170 },
1171 "default_seats_value": {
1172 "number": "string",
1173 "amount": {
1174 "quantity": "string",
1175 "currency": "AED"
1176 },
1177 "count": "string"
1178 },
1179 "conditions": {
1180 "name": "string",
1181 "meter_properties": [
1182 {
1183 "id": "string",
1184 "reference": "string",
1185 "meter_property": {
1186 "object_type": "string",
1187 "id": "string",
1188 "reference": "string",
1189 "name": "string",
1190 "description": "string",
1191 "status": "DRAFT",
1192 "type": "NUMBER",
1193 "enum_values": [
1194 "string"
1195 ]
1196 },
1197 "value": "string",
1198 "values": [
1199 "string"
1200 ],
1201 "comparator": "EQUALS"
1202 }
1203 ],
1204 "configs": [
1205 {}
1206 ]
1207 },
1208 "order": 1,
1209 "billing_in_advance": true,
1210 "volume_group_reference": "string",
1211 "top_up": {
1212 "rollover": true
1213 },
1214 "split_pricing": {
1215 "meter_properties": [
1216 {
1217 "id": "string",
1218 "reference": "string",
1219 "value": "string",
1220 "meter_property": {
1221 "object_type": "string",
1222 "id": "string",
1223 "reference": "string",
1224 "name": "string",
1225 "description": "string",
1226 "status": "DRAFT",
1227 "type": "NUMBER",
1228 "enum_values": [
1229 "string"
1230 ]
1231 }
1232 }
1233 ]
1234 },
1235 "on_demand": true,
1236 "wallet_grants": [
1237 {
1238 "wallet_type_id": "string",
1239 "wallet_type": {
1240 "object_type": "string",
1241 "id": "string",
1242 "name": "string",
1243 "reference": "string",
1244 "status": "DRAFT",
1245 "type": "CREDIT",
1246 "credit": {
1247 "grant_type": "CREDITS",
1248 "amount_grant": {
1249 "default_currency": "AED",
1250 "tax_category": "STANDARD"
1251 },
1252 "credits_grant": {
1253 "credit_type_id": "string"
1254 }
1255 },
1256 "balance": {
1257 "default_currency": "string"
1258 },
1259 "created_at": "string",
1260 "updated_at": "string"
1261 },
1262 "amount_grant": {
1263 "amount": {
1264 "quantity": "string",
1265 "currency": "AED"
1266 },
1267 "percentage": "string"
1268 },
1269 "credits_grant": {
1270 "credits": {
1271 "quantity": "string",
1272 "credit_type_id": "string"
1273 },
1274 "conversion": "string"
1275 },
1276 "expiry_policy": {
1277 "expiry_period": {
1278 "type": "DAY",
1279 "value": 1
1280 }
1281 }
1282 }
1283 ],
1284 "type": "FLAT",
1285 "pricing_type": "FLAT",
1286 "bands": [
1287 {
1288 "amount": {
1289 "quantity": "string",
1290 "currency": "AED"
1291 },
1292 "percentage": "string",
1293 "credits": {
1294 "quantity": "string",
1295 "credit_type_id": "string"
1296 },
1297 "fixed_amount": {
1298 "quantity": "string",
1299 "currency": "AED"
1300 },
1301 "maximum_amount": {
1302 "quantity": "string",
1303 "currency": "AED"
1304 },
1305 "minimum_amount": {
1306 "quantity": "string",
1307 "currency": "AED"
1308 },
1309 "maximum_number": "string",
1310 "minimum_number": "string",
1311 "block_size": {
1312 "number": "string",
1313 "amount": {
1314 "quantity": "string",
1315 "currency": "AED"
1316 },
1317 "count": "string"
1318 },
1319 "tier_top_bound": {
1320 "number": "string",
1321 "amount": {
1322 "quantity": "string",
1323 "currency": "AED"
1324 },
1325 "count": "string"
1326 }
1327 }
1328 ]
1329 }
1330 ]
1331 }
1332 ],
1333 "fallback_currency": "AED"
1334 }
1335 ],
1336 "billing_period_configs": [
1337 {
1338 "billing_period": {
1339 "type": "DAY",
1340 "value": 1
1341 },
1342 "configs": [
1343 {
1344 "object_type": "string",
1345 "id": "string",
1346 "original_pricing_item_config_id": "string",
1347 "original_pricing_item_config": {},
1348 "details": {
1349 "billing_period": {
1350 "type": "DAY",
1351 "value": 1
1352 },
1353 "pricing_type": "FLAT",
1354 "pricing_period": {
1355 "type": "DAY",
1356 "value": 1
1357 },
1358 "bands": [
1359 {
1360 "amount": {
1361 "quantity": "string",
1362 "currency": "AED"
1363 },
1364 "percentage": "string",
1365 "credits": {
1366 "quantity": "string",
1367 "credit_type_id": "string"
1368 },
1369 "fixed_amount": {
1370 "quantity": "string",
1371 "currency": "AED"
1372 },
1373 "maximum_amount": {
1374 "quantity": "string",
1375 "currency": "AED"
1376 },
1377 "minimum_amount": {
1378 "quantity": "string",
1379 "currency": "AED"
1380 },
1381 "maximum_number": "string",
1382 "minimum_number": "string",
1383 "block_size": {
1384 "number": "string",
1385 "amount": {
1386 "quantity": "string",
1387 "currency": "AED"
1388 },
1389 "count": "string"
1390 },
1391 "tier_top_bound": {
1392 "number": "string",
1393 "amount": {
1394 "quantity": "string",
1395 "currency": "AED"
1396 },
1397 "count": "string"
1398 }
1399 }
1400 ]
1401 },
1402 "billing_period": {
1403 "type": "DAY",
1404 "value": 1
1405 },
1406 "pricing_period": {
1407 "type": "DAY",
1408 "value": 1
1409 },
1410 "default_included_volume": {
1411 "number": "string",
1412 "amount": {
1413 "quantity": "string",
1414 "currency": "AED"
1415 },
1416 "count": "string",
1417 "reset_type": "string"
1418 },
1419 "default_seats_value": {
1420 "number": "string",
1421 "amount": {
1422 "quantity": "string",
1423 "currency": "AED"
1424 },
1425 "count": "string"
1426 },
1427 "conditions": {
1428 "name": "string",
1429 "meter_properties": [
1430 {
1431 "id": "string",
1432 "reference": "string",
1433 "meter_property": {
1434 "object_type": "string",
1435 "id": "string",
1436 "reference": "string",
1437 "name": "string",
1438 "description": "string",
1439 "status": "DRAFT",
1440 "type": "NUMBER",
1441 "enum_values": [
1442 "string"
1443 ]
1444 },
1445 "value": "string",
1446 "values": [
1447 "string"
1448 ],
1449 "comparator": "EQUALS"
1450 }
1451 ],
1452 "configs": [
1453 {}
1454 ]
1455 },
1456 "order": 1,
1457 "billing_in_advance": true,
1458 "volume_group_reference": "string",
1459 "top_up": {
1460 "rollover": true
1461 },
1462 "split_pricing": {
1463 "meter_properties": [
1464 {
1465 "id": "string",
1466 "reference": "string",
1467 "value": "string",
1468 "meter_property": {
1469 "object_type": "string",
1470 "id": "string",
1471 "reference": "string",
1472 "name": "string",
1473 "description": "string",
1474 "status": "DRAFT",
1475 "type": "NUMBER",
1476 "enum_values": [
1477 "string"
1478 ]
1479 }
1480 }
1481 ]
1482 },
1483 "on_demand": true,
1484 "wallet_grants": [
1485 {
1486 "wallet_type_id": "string",
1487 "wallet_type": {
1488 "object_type": "string",
1489 "id": "string",
1490 "name": "string",
1491 "reference": "string",
1492 "status": "DRAFT",
1493 "type": "CREDIT",
1494 "credit": {
1495 "grant_type": "CREDITS",
1496 "amount_grant": {
1497 "default_currency": "AED",
1498 "tax_category": "STANDARD"
1499 },
1500 "credits_grant": {
1501 "credit_type_id": "string"
1502 }
1503 },
1504 "balance": {
1505 "default_currency": "string"
1506 },
1507 "created_at": "string",
1508 "updated_at": "string"
1509 },
1510 "amount_grant": {
1511 "amount": {
1512 "quantity": "string",
1513 "currency": "AED"
1514 },
1515 "percentage": "string"
1516 },
1517 "credits_grant": {
1518 "credits": {
1519 "quantity": "string",
1520 "credit_type_id": "string"
1521 },
1522 "conversion": "string"
1523 },
1524 "expiry_policy": {
1525 "expiry_period": {
1526 "type": "DAY",
1527 "value": 1
1528 }
1529 }
1530 }
1531 ],
1532 "type": "FLAT",
1533 "pricing_type": "FLAT",
1534 "bands": [
1535 {
1536 "amount": {
1537 "quantity": "string",
1538 "currency": "AED"
1539 },
1540 "percentage": "string",
1541 "credits": {
1542 "quantity": "string",
1543 "credit_type_id": "string"
1544 },
1545 "fixed_amount": {
1546 "quantity": "string",
1547 "currency": "AED"
1548 },
1549 "maximum_amount": {
1550 "quantity": "string",
1551 "currency": "AED"
1552 },
1553 "minimum_amount": {
1554 "quantity": "string",
1555 "currency": "AED"
1556 },
1557 "maximum_number": "string",
1558 "minimum_number": "string",
1559 "block_size": {
1560 "number": "string",
1561 "amount": {
1562 "quantity": "string",
1563 "currency": "AED"
1564 },
1565 "count": "string"
1566 },
1567 "tier_top_bound": {
1568 "number": "string",
1569 "amount": {
1570 "quantity": "string",
1571 "currency": "AED"
1572 },
1573 "count": "string"
1574 }
1575 }
1576 ]
1577 }
1578 ]
1579 }
1580 ],
1581 "display_order": 1
1582 }
1583 ]
1584 }
1585 ]
1586}
Was this page helpful?
Previous

Get a pricing group by resource ID

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
pricing_plan_version_idstring or nullOptional

Resource ID of type PRICING_PLAN_VERSION

namestring or nullOptional
product_typeenum or nullOptional
Allowed values:
selection_constraintenum or nullOptional
Allowed values:
display_orderinteger or nullOptional
pricingslist of objects or nullOptional

Response

Created
object_typestring or nullRead-only
idstring or nullRead-only
pricing_plan_version_idstring or null

Resource ID of type PRICING_PLAN_VERSION

namestring or null
product_typeenum or null
Allowed values:
selection_constraintenum or null
Allowed values:
display_orderinteger or null
pricingslist of objects or null

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error